image: docker:20.10.16

variables:
    DOCKER_TLS_CERTDIR: '/certs'

services:
    - docker:20.10.16-dind

build:
    stage: build
    before_script:
        - echo "$DOCKER_REGISTRY_PASS" | docker login $DOCKER_REGISTRY -u $USER -p $PASSWORD
    script:
        - docker build -t $DOCKER_CONTAINER_REGISTRY . --platform linux/arm64
        - docker push $DOCKER_CONTAINER_REGISTRY
    only:
        - correction
